### Function

# Gimp param_spec_unit

since: 2.4

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_unit (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean allow_pixel,
      gboolean allow_percent,
      GimpUnit* default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a param spec to hold a units param. See `g_param_spec_internal()` for more information.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nickname of the param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Brief description of param.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`allow_pixel`

  Type: `gboolean`

  Whether “pixels” is an allowed unit.

`allow_percent`

  Type: `gboolean`

  Whether “percent” is an allowed unit.

`default_value`

  Type: `GimpUnit`

  Unit to use if none is assigned.

  The data is owned by the caller of the function.

`flags`

  Type: `GParamFlags`

  A combination of `GParamFlags`.

#### Return value

Type: `GParamSpec`

A newly allocated `GParamSpec` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.